package com.trade.admin.enterprise.customer.dto;

import com.trade.service.enterprise.customer.dto.EnterpriseDto;

import java.time.LocalDateTime;

public class EnterpriseDetailDto extends EnterpriseDto {
    /**
     * 业务经理
     */
    private String businessManager;
    private Long businessManagerId;
    /**
     * 业务经理部门
     */
    private String businessDepartment;
    /**
     * 业务经理分配方式:1-推荐码，2-认领，3-分配，4-移交
     */
    private Integer bdAssignWay;
    /**
     * 业务经理 指派时间
     */
    private LocalDateTime bdTransferTime;
    /**
     * 风控经理
     */
    private String riskManager;
    private Long riskManagerId;
    /**
     * 风控经理分配方式:1-推荐码，2-认领，3-分配，4-移交
     */
    private Integer riskAssignWay;
    /**
     * 风控经理 指派时间
     */
    private LocalDateTime riskTransferTime;

    public String getBusinessManager() {
        return businessManager;
    }

    public void setBusinessManager(String businessManager) {
        this.businessManager = businessManager;
    }

    public Long getBusinessManagerId() {
        return businessManagerId;
    }

    public void setBusinessManagerId(Long businessManagerId) {
        this.businessManagerId = businessManagerId;
    }

    public String getBusinessDepartment() {
        return businessDepartment;
    }

    public void setBusinessDepartment(String businessDepartment) {
        this.businessDepartment = businessDepartment;
    }

    public Integer getBdAssignWay() {
        return bdAssignWay;
    }

    public void setBdAssignWay(Integer bdAssignWay) {
        this.bdAssignWay = bdAssignWay;
    }

    public LocalDateTime getBdTransferTime() {
        return bdTransferTime;
    }

    public void setBdTransferTime(LocalDateTime bdTransferTime) {
        this.bdTransferTime = bdTransferTime;
    }

    public String getRiskManager() {
        return riskManager;
    }

    public void setRiskManager(String riskManager) {
        this.riskManager = riskManager;
    }

    public Long getRiskManagerId() {
        return riskManagerId;
    }

    public void setRiskManagerId(Long riskManagerId) {
        this.riskManagerId = riskManagerId;
    }

    public Integer getRiskAssignWay() {
        return riskAssignWay;
    }

    public void setRiskAssignWay(Integer riskAssignWay) {
        this.riskAssignWay = riskAssignWay;
    }

    public LocalDateTime getRiskTransferTime() {
        return riskTransferTime;
    }

    public void setRiskTransferTime(LocalDateTime riskTransferTime) {
        this.riskTransferTime = riskTransferTime;
    }
}
